/*****************************************************************************
 *	aisa22w.h
 *
 *	aISA-P22
 *
 *	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
 *
 *	Date 1998/05/20
 *
 *****************************************************************************/
#ifndef __AISA22__
#define __AISA22__

#include "aisa22.h"

#ifdef __cplusplus
extern "C"{
#endif

#define AISA22_DLL_NAME	  _T("aisa22.dll")	// DLL
#define AISA22_MAX_PORT 4					// aISA-P22̃|[g
#define AISA22_ERR_WRAPDLL ((DWORD)-1)		// bp[֐G[

// DLL [h
BOOL Aisa22wDllOpen ( void );

// DLL A[h
BOOL Aisa22wDllClose ( void );

// aISA-P22 DLL,Driver̃o[Wԍ擾
BOOL Aisa22wGetVersion ( PDWORD pdwDllVer, PDWORD pdwDrvVer );

// CӂaISA-P22̎gp錾
BOOL Aisa22wCreate(PWORD pwLogSlot);

// CӂaISA-P22̎gpJ
BOOL Aisa22wClose ( WORD wLogSlot );

// \[X擾
BOOL Aisa22wGetResource ( WORD wLogSlot, PAISA22R pResInfo );

// Cӂ̃|[gf[^
BOOL Aisa22wInPort ( WORD wLogSlot, DWORD dwPort, PBYTE pbInValue );

// aISA-P22̃G[R[h
DWORD Aisa22wGetLastError ( WORD wLogSlot );

#ifdef __cplusplus
}
#endif
#endif // __AISA22__
